import request from '@/utils/request'

// 课程添加 --------------------------------------

// 添加课程
export function postCourse (data) {
  return request({
    url: '/edu/course/add',
    method: 'POST',
    data
  })
}

// 查询课程
export function getCourse (params) {
  return request({
    url: '/edu/course',
    method: 'GET',
    params
  })
}

// ------ 班级 ----------------------
// 查询班级
export function getGrade (params) {
    return request({
      url: '/edu/class',
      method: 'GET',
      params
    })
  }

// 查询班级列表
export function postGrade (data) {
    return request({
      url: '/edu/class',
      method: 'POST',
      data
    })
  }

// 查询班级详情
export function getGradeDetail (id) {
    return request({
      url: `/edu/class/${id}`,
      method: 'GET'
    })
  }

// 班级里面添加得学员
export function addGradeStudent (id, data) {
    return request({
      url: `/edu/class/${id}`,
      method: 'POST',
      data
    })
  }

// 退班
export function quitGrade (params) {
    return request({
      url: `/edu/class/esc`,
      method: 'PUT',
      params
    })
}

// 调班
export function changeGrade (params) {
    return request({
      url: `/edu/class/change`,
      method: 'PUT',
      params
    })
}

// 删除班级
export function deleteGrade (id) {
    return request({
      url: `/edu/class/${id}`,
      method: 'DELETE'
    })
}

// 完结班级
export function stopGrade (id) {
    return request({
      url: `/edu/class/${id}`,
      method: 'PUT'
    })
}

// 约课课节
export function getCourseTable (params) {
    return request({
      url: `/edu/curriculum/search`,
      method: 'GET',
      params
    })
}

// 排课----------------------------
// 添加课程
export function postSortCourse (data) {
    return request({
      url: `/edu/curriculum`,
      method: 'POST',
      data
    })
}

// 查询排课
export function getSortCourse (params) {
    return request({
      url: `/edu/curriculum`,
      method: 'GET',
      params
    })
}

// 课表--------------------------------------------------

// 当前课详情
export function getCurriculumeDetail (id) {
    return request({
      url: `/edu/curriculum/${id}`,
      method: 'GET'
    })
}

// 当前课下得学员
export function getCurriculumeStudent (classCourseId, params) {
    return request({
      url: `/edu/order/${classCourseId}`,
      method: 'GET',
      params
    })
}

// 修改约课课节
export function PutCurriculumeDetail (data) {
    return request({
      url: `/edu/curriculum`,
      method: 'PUT',
      data
    })
}

// 给课加学生
export function courseAddStudent (classCourseId, data) {
    return request({
      url: `/edu/order/${classCourseId}`,
      method: 'POST',
      data
    })
}

// 结课
export function finishCourse (id) {
    return request({
      url: `/edu/curriculum/${id}`,
      method: 'PATCH'
    })
}

// 删除课程
export function deleteCourse (id) {
    return request({
      url: `/edu/curriculum/${id}`,
      method: 'DELETE'
    })
}

// 查询课程总表
export function getAllCourse (params) {
    return request({
      url: `/edu/curriculum/all`,
      method: 'GET',
      params
    })
}
