import request from '@/utils/request'

// 查询市场活动
export function getMarketActivityList (params) {
  return request({
    url: 'sale/market',
    method: 'get',
    params
  })
}

export function delMarketActivityById (id) {
  return request({
    url: `sale/market/${id}`,
    method: 'DELETE'
  })
}

// 新建或保存市场活动
export function saveOrUptMarketActivity (data) {
  return request({
    url: 'sale/market',
    method: data.id ? 'put' : 'post',
    data
  })
}

// 查询市场活动详情
export function getMarketActivityInfo (id) {
  return request({
    url: `sale/market/${id}`,
    method: 'get'
  })
}

// 查询活动的销售线索-用于活动页面查详情使用
export function getSaleLeads (params) {
  return request({
    url: `sale/leads`,
    method: 'get',
    params
  })
}

// 销售线索
export function getSaleLeadsList (data) {
  return request({
    url: `/sale/leads/search`,
    method: 'post',
    data
  })
}

// 获取线索统计
export function getLeadsCount () {
  return request({
    url: `/sale/leads/count`,
    method: 'GET'
  })
}

// ----  公海池页面 -------------------------------------
// 查询公海池
export function getTnternational (params) {
  return request({
    url: `/sale/international`,
    method: 'GET',
    params
  })
}

export function delTnternationalById (id) {
  return request({
    url: `/sale/${id}`,
    method: 'DELETE'
  })
}
// 捞取销售线索
export function takeleads (data) {
  return request({
    url: `/sale/gain`,
    method: 'POST',
    data
  })
}

// 分配销售线索
export function alloLeads (data) {
  return request({
    url: `/sale/allot`,
    method: 'POST',
    data
  })
}

// ---------------------线索管理
// 增加线索管理
export function postLeads (data) {
  return request({
    url: `/sale/leads`,
    method: 'POST',
    data
  })
}

export function updateLeads (data) {
  return request({
    url: `/sale/leads`,
    method: 'PUT',
    data
  })
}

// 查询线索详情  // type 为student 或者为 leads
export function getLeadsDetail (id, type) {
  return request({
    url: type === 'student' ? `/edu/learner/${id}` : `/sale/leads/${id}`,
    method: 'GET'
  })
}

// 转移线索
export function transferLeads (data) {
  return request({
    url: `/sale/leads/transfer`,
    method: 'POST',
    data
  })
}

// 销售线索标为无效
export function signLeadsInvalid (data) {
  return request({
    url: `/sale/leads/markInvalid`,
    method: 'PUT',
    data
  })
}

// 删除线索
export function deleteLeads (data) {
  return request({
    url: `/sale/leads`,
    method: 'DELETE',
    data
  })
}

// 线索记录详情
export function leadsRecordsDetail (id) {
  return request({
    url: `/sale/log/${id}`,
    method: 'GET'
  })
}

// 线索记录全部
export function allLeadsRecord (params) {
  return request({
    url: `/sale/log`,
    method: 'GET',
    params
  })
}

// 线索购课记录
export function getLeadsCourseRecords (id) {
  return request({
    url: `/edu/${id}`,
    method: 'GET'
  })
}

// 退回公海池
export function sendbackLeads (data) {
  return request({
    url: `/sale/leads/back`,
    method: 'POST',
    data
  })
}

// 添加记录
export function addLeadsLog (data) {
  return request({
    url: `/sale/leads/log`,
    method: 'POST',
    data
  })
}

// 转为试听
export function changePreLearn (data) {
  return request({
    url: `/sale/leads/preLearn`,
    method: 'POST',
    data
  })
}

/// -----------------------购买

export function buyClass (data) {
  return request({
    url: `/edu/buy`,
    method: 'POST',
    data
  })
}
