import request from '@/utils/request'

// 查询学员  只有课程筛选和班级筛选
export function getStudent (params) {
    return request({
      url: '/edu/learner/search',
      method: 'GET',
      params
    })
}

export function delLearnerById (id) {
  return request({
    url: '/edu/learner/' + id,
    method: 'DELETE'
  })
}

// 查询学员  复杂筛选
export function getComplex (params) {
    return request({
      url: '/edu/learner/filter',
      method: 'GET',
      params
    })
}

// 添加学员
export function postStudent (data, type) {
    return request({
      url: '/edu/learner',
      method: type === 'add' ? 'POST' : 'PUT',
      data
    })
}

// 查询学员课表
export function getStudentCours (params) {
    return request({
      url: '/edu/learner/classCourse',
      method: 'GET',
      params
    })
}

// 学员课程
export function getCourseRecords (params) {
    return request({
      url: '/edu/learner/course',
      method: 'GET',
      params
    })
}

// 学员退费 with 学员续费
export function returnPrice (data, type) {
    return request({
      url: type === 'return' ? '/edu/refund' : '/edu/renew',
      method: 'PUT',
      data
    })
}

// 转课
export function transferCourse (data) {
    return request({
      url: '/edu/transfer',
      method: 'PUT',
      data
    })
}

// 添加排课
export function addCourse (data) {
    return request({
      url: '/edu/learner/addClassCourse',
      method: 'POST',
      data
    })
}
