// with polyfills
import 'core-js/stable'
import 'regenerator-runtime/runtime'

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/'
import i18n from './locales'
import { VueAxios } from './utils/request'
import ProLayout, { PageHeaderWrapper } from '@ant-design-vue/pro-layout'
import themePluginConfig from '../config/themePluginConfig'

// mock
// WARNING: `mockjs` NOT SUPPORT `IE` PLEASE DO NOT USE IN `production` ENV.
// import './mock'

import bootstrap from './core/bootstrap'
import './core/lazy_use' // use lazy load components
import './permission' // permission control
import './utils/filter' // global filter
import './global.less' // global style
import './core/form_making' // use lazy load components

import {
  GenerateAntdForm
} from '../lib/form-making-advanced'
import '../lib/form-making-advanced/dist/FormMaking.css'

import KFormDesign from 'k-form-design'
import 'k-form-design/lib/k-form-design.css'
import CountTo from 'vue-count-to'

import filters from '@/filters/index'

import Echarts from 'echarts'
import vueECharts from 'vue-echarts'
import 'echarts/lib/chart/pie'
import 'echarts/lib/chart/funnel'
import 'echarts/lib/chart/bar'
import 'echarts/lib/chart/line'

import { Timeline, FormModel } from 'ant-design-vue'
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.use(Timeline).use(FormModel)

Vue.component('vue-chart', vueECharts)
Vue.component('Echarts', Echarts)
Vue.component(GenerateAntdForm.name, GenerateAntdForm)
// Vue.use(KFormDesign)
Vue.component('count-to', CountTo)
Vue.config.productionTip = false

// mount axios to `Vue.$http` and `this.$http`
Vue.use(VueAxios)
// use pro-layout components
Vue.component('pro-layout', ProLayout)
Vue.component('page-container', PageHeaderWrapper)
Vue.component('page-header-wrapper', PageHeaderWrapper)

window.umi_plugin_ant_themeVar = themePluginConfig.theme

new Vue({
  router,
  store,
  i18n,
  // init localstorage, vuex
  created: bootstrap,
  render: h => h(App)
}).$mount('#app')
