import { getClass, getTag, getConfig } from '@/api/basics'
import { getGrade } from '@/api/eduAdmin'
import { basicSellTab } from '@/utils/global'
import { getMarketActivityList } from '@/api/markting'
export default {
  data () {
      return {
        roleList: [],
        courseList: [],
        classroomList: [],
        classList: [],
        tagList: [],
        contractTypeList: [
          {
            id: 0,
            label: '试听'
          },
          {
            id: 1,
            label: '新签'
          },
          {
            id: 2,
            label: '续费'
          },
          {
            id: 3,
            label: '赠送'
          },
          {
            id: 4,
            label: '转入'
          }
        ],
        followState: [
          {
            id: 0,
            label: '未跟进'
          },
          {
            id: 1,
            label: '待跟进'
          },
          {
            id: 2,
            label: '跟进中'
          },
          {
            id: 3,
            label: '试听'
          },
          {
            id: 4,
            label: '已听'
          },
          {
            id: 5,
            label: '已签约'
          },
          {
            id: 6,
            label: '逾期未跟进'
          }
        ],
        activeList: [],
        INTENTION: [],
        CHANNELS: [],
        COURSE: [],
        GRADE: [],
        LOSS_REASON: []
      }
  },
  methods: {
    // 查询市场活动
    async getMarketActivityList () {
      const $par = {
        curPage: 1
      }
     const { code, data } = await getMarketActivityList($par)
     if (code === 0) {
       const { records } = data
       this.activeList = records
     }
    },
    // 查询基础配置
    async getConfig () {
      basicSellTab.forEach(async item => {
        const $par = {
        curPage: 1,
        type: item
      }
        const { code, data } = await getConfig($par)
        if (code === 0) {
          const { records } = data
          this[item] = records
        }
      })
    },
    // 获取老师
    async getTeacher () {
      this.roleList = await this.$store.dispatch('role/searchUser')
    },
    // 获取课程
    async getCourse () {
        this.courseList = await this.$store.dispatch('course/getCourse')
    },
    // 查询标签
    async getTag () {
      const $par = {
        curPage: 1
      }
      const { code, data } = await getTag($par)
      if (code === 0) {
        const { records } = data
        this.tagList = records
      }
    },
    // 获取班级
    async getGrade () {
      const $par = {
        curPage: 1,
        pageSize: 10000
      }
      const { code, data } = await getGrade($par)
      if (code === 0) {
        console.log(data)
        const { records } = data
        this.classList = records
      }
    },
    // 获取教室
    async getClassroom () {
        const $par = {
            curPage: 1
        }
      const { code, data } = await getClass($par)
      if (code === 0) {
          const { records } = data
          this.classroomList = records
      }
    }
  }
}
