import storage from 'store'
import { getCourse } from '@/api/eduAdmin'
const course = {
    namespaced: true,
    state: {
        courseList: storage.get('courseList') || []
    },
    mutations: {
        set_courseList (state, courseList) {
            state.courseList = courseList
        }
    },

    actions: {
        // 仅作用于select 得选择框
        async getCourse ({ commit }) {
            return new Promise(async (resolve, reject) => {
                const $par = {
                    curPage: 1,
                    pageSize: 10000
                }
                const { code, data } = await getCourse($par)
                if (code === 0) {
                  const { records } = data
                  commit('set_courseList', records)
                  resolve(records)
                } else {
                  reject(data)
                }
            }).catch(e => e)
        }
    }
}

export default course
