import storage from 'store'
import { searchUser } from '@/api/role'
const role = {
    namespaced: true,
    state: {
        orderList: storage.get('orderList') || []
    },
    mutations: {
        set_orderList (state, orderList) {
            state.orderList = orderList
        }
    },
    actions: {
        // 人员 --> 包括老师 销售  用户多个select选择框
         async searchUser ({ commit }) {
            return new Promise(async (resolve, reject) => {
                const $par = {
                    curPage: 1,
                    pageSize: 10000
                }
                const { code, data } = await searchUser($par)
                if (code === 0) {
                    console.log(data)
                    const { records } = data
                    storage.set('orderList', records)
                    resolve(records)
                    commit('set_orderList', records)
                } else {
                    reject(data)
                }
            }).catch(e => e)
        }
    }
}

export default role
